oxide-qt 1.17.7-0ubuntu0.16.04.1 source package in Ubuntu

Changelog

oxide-qt (1.17.7-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Update to v1.17.7 (see USN-3058-1)
    - Bump Chromium rev to 53.0.2785.101
    - Fix LP: #1615832 - Don't compile the mock QPA plugin with Qt5.6
    - Fix LP: #1618589 - Compile with -fno-delete-null-pointer-checks to work
      around issues related to changes in GCC6
    - Fix LP: #1618530 - Ensure we use the correct ozone platform
    - Fix LP: #1616595 - Fix Qt5.2 build
    - Fix LP: #1260103 - Oxide should use an app-specific path for shared
      memory files
    - Ensure we check out the GN binaries
    - Fix LP: #1615683 - Implement KeyboardEvent.code and KeyboardEvent.key,
      as parts of Blink now depend on this
    - Fix LP: #1605365 - Front camera is inverted on BQ E5
    - Fix LP: #1608657 - Ensure shrinksViewportContentToFit option is enabled
      on mobile
    - Fix LP: #1597420 - Add a mock QPA plugin and add integration tests for
      the Screen and ScreenOrientation APIs
    - Import updated translations from Launchpad
    - Add tests for Window.screen{X,Y}
    - Use attached properties for WebViewTestSupport and WebContextTestSupport
    - Refactor the huge main() function in the QML test runner
    - Fix LP: #1568145 - Correctly report the position for video capture devices
    - Clean up user scripts between tests
    - Add test for Window.{inner,outer}{Height,Width}
    - Don't hardcode a size for the root item in QML tests - have it set by
      the window size instead
    - Fix LP: #1599236 - ensure GN builds are built with Pango support
    - Fix LP: #1588219 - fix mediahub GN build
    - Fix LP: #1592020 - Make oxide_shared_unittests / oxide_qt_unittests work
      with the GN build
    - MouseEvents must be used to generate synthetic click events in tests
    - Fix LP: #1597262 - Only enable plugin support on x86 / x86-64
    - Fix LP: #1560271 - Refactor CookieStoreProxy and ensure that the cookie
      store is created on the IO thread
    - Fix Compositor DCHECK
    - Call BrowserPlatformIntegration::GetNativeDisplay later to avoid a DCHECK
    - Fix LP: #1510603 - Stop using GetFormFactorHint for memory optimizations
    - Fix LP: #1595320 - Ensure GN builds are linked without --fatal-warnings
    - Make the renderer executable use Chromium's new allocator shim, which
      means we get an infallible allocator on AArch64, even without TCMalloc
    - Various allocator related fixes (LP: #1595321 and LP: #1595324)
    - Fix LP: #1588218 - Make ENABLE_TCMALLOC work with GN builds
    - Fix LP: #1597040 - Disable TCMalloc on AArch64
    - Fix LP: #1585291 - Add copy image support to the context menu
    - Fix LP: #1593232 - Fix navigator.vibrate regression and add tests for this
    - Ensure that our device::VibrationManager implementation sanitizes
      arguments properly
    - Fix LP: #1595136 - Compile the core library with -g1 on hosts with less
      than 8GB of RAM
    - Fix LP: #1594941 - Fix static ENABLE_PLUGINS=0 GN build
    - Fix LP: #1594962 - Disable gn check step for now
    - Fix LP: #1326697 - Preliminary support for building with GN
    - Fix LP: #1588217 - Cross-compiling support with GN
    - Fix LP: #1588942 - Support for bootstrapping a GN binary
    - Fix LP: #1582638 - Initial build support for AArch64
    - Fix non-ENABLE_HYBRIS build
    - Fix LP: #1592296 - Support filenames in drag and drop
    - Fix LP: #1601887 - Add a quirk to assume that the native orientation of
      the primary screen on freiza and cooler devices is landscape
    - Fix LP: #1613258 - Avoid a hard runtime dependency on MADV_FREE when
      compiled against glibc 2.24, and ensure madvise(MADV_FREE) is allowed
      in the seccomp policy so that it works when the kernel is upgraded to 4.5
    - Fix LP: #1616132 - Explicitly whitelist accelerated canvas and GPU
      raster on various devices. This got disabled due to a recent change
      in libhybris

  * Build with USE_GN=1, BOOTSTRAP_GN=1
    - update debian/rules
  * Build with ENABLE_HYBRIS=0 on arm64
    - update debian/rules
  * Don't build-depend on libhybris on arm64
    - update debian/control
  * locales/ has been renamed to chromium_l10n
    - update debian/liboxideqtcore0.install
  * Refresh gross-hack-for-dual-ffmpeg-build.patch
  * Build depend on python-psutil
    - update debian/control

 -- Chris Coulson <email address hidden>  Mon, 05 Sep 2016 21:31:57 +0100

Upload details

Uploaded by:
Chris Coulson on 2016-09-09
Uploaded to:
Xenial
Original maintainer:
Ubuntu Developers
Architectures:
amd64 i386 armhf arm64
Section:
libs
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
oxide-qt_1.17.7.orig.tar.xz 484.8 MiB c6f323131969097fb1f4d2e9305aced0ab50c4319ee61b6768157263a481f3f8
oxide-qt_1.17.7-0ubuntu0.16.04.1.debian.tar.xz 127.2 KiB de93716c020b1a3075565ac321aa61dcfd7a62a0cb9270026dae2522fcaa8404
oxide-qt_1.17.7-0ubuntu0.16.04.1.dsc 2.7 KiB a4c9979be659e9cd449b2b2ba3d2f69605d12b71d5e8b38b9e3560f259e3eb1f

View changes file

Binary packages built by this source

liboxideqt-qmlplugin: Web browser engine for Qt (QML plugin)

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides the QML plugin required to run QML applications with
 Oxide

liboxideqtcore-dev: Web browser engine for Qt (development files for core library)

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides the development files required to compile programs
 against the Oxide core library

liboxideqtcore0: Web browser engine for Qt (core library and components)

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides the core library, sandbox, renderer and support
 files required to run applications with Oxide

liboxideqtcore0-dbgsym: debug symbols for package liboxideqtcore0

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides the core library, sandbox, renderer and support
 files required to run applications with Oxide

liboxideqtquick-dev: Web browser engine for Qt (development files for QtQuick library)

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides the development files required to compile programs
 against the Oxide QtQuick library

liboxideqtquick0: Web browser engine for Qt (QtQuick library)

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides the QtQuick library required to run QML applications
 with Oxide

oxideqt-codecs: Web browser engine for Qt (codecs)

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides some media codecs needed for the HTML5 <audio> and
 <video> tags. Included are the free Theora, Vorbis, Opus, VP8 and VP9
 codecs

oxideqt-codecs-dbgsym: debug symbols for package oxideqt-codecs

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides some media codecs needed for the HTML5 <audio> and
 <video> tags. Included are the free Theora, Vorbis, Opus, VP8 and VP9
 codecs

oxideqt-codecs-extra: Web browser engine for Qt (codecs)

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides some media codecs needed for the HTML5 <audio> and
 <video> tags. Included are the Theora, Vorbis, Opus, VP8, VP9, MP3, AAC
 and H.264 codecs

oxideqt-codecs-extra-dbgsym: debug symbols for package oxideqt-codecs-extra

 Oxide is a web browser engine library based on Chromium that makes it easy to
 embed web content in your Qt application
 .
 This package provides some media codecs needed for the HTML5 <audio> and
 <video> tags. Included are the Theora, Vorbis, Opus, VP8, VP9, MP3, AAC
 and H.264 codecs